Index: src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py	(revision a95c44b70e9d487306aace4e5481e94bf3e26e7f)
+++ src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py	(revision d0dfcb2f3d332694828ef7e96f4a7727397df4d1)
@@ -8,4 +8,28 @@
 from sas.qtgui.Plotting.PlotterData import Data1D
 from sas.qtgui.Plotting.PlotterData import Data2D
+
+model_header_captions = ['Parameter', 'Value', 'Min', 'Max', 'Units']
+
+model_header_tooltips = ['Select parameter for fitting',
+                         'Enter parameter value',
+                         'Enter minimum value for parameter',
+                         'Enter maximum value for parameter',
+                         'Unit of the parameter']
+
+poly_header_captions = ['Parameter', 'PD[ratio]', 'Min', 'Max', 'Npts', 'Nsigs',
+                        'Function', 'Filename']
+
+poly_header_tooltips = ['Select parameter for fitting',
+                        'Enter polydispersity ratio (STD/mean). '
+                        'STD: standard deviation from the mean value',
+                        'Enter minimum value for parameter',
+                        'Enter maximum value for parameter',
+                        'Enter number of points for parameter',
+                        'Enter number of sigmas parameter',
+                        'Select distribution function',
+                        'Select filename with user-definable distribution']
+
+error_tooltip = 'Error value for fitted parameter'
+header_error_caption = 'Error'
 
 def replaceShellName(param_name, value):
@@ -131,32 +155,21 @@
     Adds predefined headers to the model
     """
-    model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
-    model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("Value"))
-    model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
-    model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
-    model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("Units"))
-
-    model.header_tooltips = ['Select parameter for fitting',
-                             'Enter parameter value',
-                             'Enter minimum value for parameter',
-                             'Enter maximum value for parameter',
-                             'Unit of the parameter']
+    for i, item in enumerate(model_header_captions):
+        model.setHeaderData(i, QtCore.Qt.Horizontal, QtCore.QVariant(item))
+
+    model.header_tooltips = model_header_tooltips
+
 def addErrorHeadersToModel(model):
     """
     Adds predefined headers to the model
     """
-    model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
-    model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("Value"))
-    model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Error"))
-    model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
-    model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
-    model.setHeaderData(5, QtCore.Qt.Horizontal, QtCore.QVariant("Units"))
-
-    model.header_tooltips = ['Select parameter for fitting',
-                             'Enter parameter value',
-                             'Error value for fitted parameter',
-                             'Enter minimum value for parameter',
-                             'Enter maximum value for parameter',
-                             'Unit of the parameter']
+    model_header_error_captions = model_header_captions
+    model_header_error_captions.insert(2, header_error_caption)
+    for i, item in enumerate(model_header_error_captions):
+        model.setHeaderData(i, QtCore.Qt.Horizontal, QtCore.QVariant(item))
+
+    model_header_error_tooltips = model_header_tooltips
+    model_header_error_tooltips.insert(2, error_tooltip)
+    model.header_tooltips = model_header_error_tooltips
 
 def addPolyHeadersToModel(model):
@@ -164,22 +177,9 @@
     Adds predefined headers to the model
     """
-    model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
-    model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("PD[ratio]"))
-    model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
-    model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
-    model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("Npts"))
-    model.setHeaderData(5, QtCore.Qt.Horizontal, QtCore.QVariant("Nsigs"))
-    model.setHeaderData(6, QtCore.Qt.Horizontal, QtCore.QVariant("Function"))
-    model.setHeaderData(7, QtCore.Qt.Horizontal, QtCore.QVariant("Filename"))
-
-    model.header_tooltips = ['Select parameter for fitting',
-                             'Enter polydispersity ratio (STD/mean). '
-                             'STD: standard deviation from the mean value',
-                             'Enter minimum value for parameter',
-                             'Enter maximum value for parameter',
-                             'Enter number of points for parameter',
-                             'Enter number of sigmas parameter',
-                             'Select distribution function',
-                             'Select filename with user-definable distribution']
+    for i, item in enumerate(poly_header_captions):
+        model.setHeaderData(i, QtCore.Qt.Horizontal, QtCore.QVariant(item))
+
+    model.header_tooltips = poly_header_tooltips
+
 
 def addErrorPolyHeadersToModel(model):
@@ -187,24 +187,12 @@
     Adds predefined headers to the model
     """
-    model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
-    model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("PD[ratio]"))
-    model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Error"))
-    model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
-    model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
-    model.setHeaderData(5, QtCore.Qt.Horizontal, QtCore.QVariant("Npts"))
-    model.setHeaderData(6, QtCore.Qt.Horizontal, QtCore.QVariant("Nsigs"))
-    model.setHeaderData(7, QtCore.Qt.Horizontal, QtCore.QVariant("Function"))
-    model.setHeaderData(8, QtCore.Qt.Horizontal, QtCore.QVariant("Filename"))
-
-    model.header_tooltips = ['Select parameter for fitting',
-                             'Enter polydispersity ratio (STD/mean). '
-                             'STD: standard deviation from the mean value',
-                             'Error value for fitted parameter',
-                             'Enter minimum value for parameter',
-                             'Enter maximum value for parameter',
-                             'Enter number of points for parameter',
-                             'Enter number of sigmas parameter',
-                             'Select distribution function',
-                             'Select filename with user-definable distribution']
+    poly_header_error_captions = poly_header_captions
+    poly_header_error_captions.insert(2, header_error_caption)
+    for i, item in enumerate(poly_header_error_captions):
+        model.setHeaderData(i, QtCore.Qt.Horizontal, QtCore.QVariant(item))
+
+    poly_header_error_tooltips = poly_header_tooltips
+    poly_header_error_tooltips.insert(2, error_tooltip)
+    model.header_tooltips = poly_header_error_tooltips
 
 def addShellsToModel(parameters, model, index):
Index: src/sas/qtgui/Perspectives/Fitting/FittingWidget.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision 88e1f57e340b062a07d1e5693c8b7b8a4edc4b32)
+++ src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision 88e1f57e340b062a07d1e5693c8b7b8a4edc4b32)
@@ -52,10 +52,19 @@
 
 class ToolTippedItemModel(QtGui.QStandardItemModel):
-
-    def __init__(self, parent = None):
+    """
+    Subclass from QStandardItemModel to allow displaying tooltips in
+    QTableView model.
+    """
+    def __init__(self, parent=None):
         QtGui.QStandardItemModel.__init__(self,parent)
 
     def headerData(self, section, orientation, role):
-
+        """
+        Displays tooltip for each column's header
+        :param section:
+        :param orientation:
+        :param role:
+        :return:
+        """
         if role == QtCore.Qt.ToolTipRole:
             if orientation == QtCore.Qt.Horizontal:
